{*******************************************************}
{                                                       }
{                      Tachyon Unit                     }
{    Vector Raster Geographic Information Synthesis     }
{                     VOICE  ..  Tracer                 }
{                     GRIP ICE .. Tongs                 }
{                Digital Terrain Mapping                }
{               Image Locatable Holographics            }
{                          SOS MAP                      }
{  Surreal Object Synthesis Multimedia Analysis Product }
{                   Fractal3D  Life MOW                 }
{       Copyright (c) 1995,2006  Ivan Lee Herring       }
{                                                       }
{*******************************************************}
unit dtmDtpLayerReader;

interface

uses Windows, Messages, Graphics, SysUtils;

type
  DtpPldRec= record
   PatternAttBaseCB, PatternAttDisplayCB:Boolean;
   NumberOfObjects, ObjectNumber: Integer;
   PatternNumber:  Array of Integer;
   REC:Array of String;
  end;
{bsSolid, bsClear, bsHorizontal, bsVertical,
bsFDiagonal, bsBDiagonal, bsCross, bsDiagCross}
var
   {DtpPldRecord.PatternNumber[ObjectNumber]}
  DtpPldRecord: DtpPldRec;
  DtpPatternsActive:Boolean;

type
  DtpEldRec= record
   NumberOfObjects, ObjectNumber: Integer;
   EcoTypeNumber:  Array of Integer;
  end;
var
   {DtpEldRecord.EcoTypeNumber[ObjectNumber]}
  DtpEldRecord: DtpEldRec;


procedure LoadDtpLayerPldFile(FileName:String);
procedure SaveDtpLayerPldFile(FileName:String);



implementation

uses   dtmPOFvar, dtmGlobals;

{  DtpPldRec= record
   PatternAttBaseCB, PatternAttDisplayCB:Boolean;
   NumberOfObjects, ObjectNumber: Integer;
   PatternNumber:  Array of Integer;
   REC:Array of String;
  end;}
procedure LoadDtpLayerPldFile(FileName:String);
var
  I:Integer;
  InVerstring, WhatsMyLine: string;
  EcoTextFile: Textfile;
Begin
  Try
    AssignFile(EcoTextFile, FileName);
    Reset(EcoTextFile);
    ReadLn(EcoTextFile, InVerstring);{ERROR ?}
    Readln(EcoTextFile, WhatsMyLine);
      If WhatsMyLine='True' then DtpPldRecord.PatternAttBaseCB:=True
                            else DtpPldRecord.PatternAttBaseCB:=False;
    Readln(EcoTextFile, WhatsMyLine);
      If WhatsMyLine='True' then DtpPldRecord.PatternAttDisplayCB:=True
                            else DtpPldRecord.PatternAttDisplayCB:=False;
    Readln(EcoTextFile, WhatsMyLine);
    DtpPldRecord.NumberOfObjects:=Strtoint(WhatsMyLine);
    Readln(EcoTextFile, WhatsMyLine);
    DtpPldRecord.ObjectNumber:=Strtoint(WhatsMyLine);
    for I := 0 to DtpPldRecord.NumberOfObjects-1 do
    begin
      ReadLn(EcoTextFile, WhatsMyLine);
      DtpPldRecord.PatternNumber[I]:=Strtoint(WhatsMyLine);
      ReadLn(EcoTextFile, WhatsMyLine);
      DtpPldRecord.REC[I]:=(WhatsMyLine);
    end;
  Finally
    CloseFile(EcoTextFile);
  End;
End;

procedure SaveDtpLayerPldFile(FileName:String);
Begin
{}
End;



end.
