program dtm;

uses
  RecyclerMM,
  Forms,
  dtmfrm in 'dtmfrm.pas' {DTMform},
  AllSplash in '..\common\AllSplash.pas' {SplashScreen},
  dtmAbout in 'dtmAbout.pas' {AboutDTM},  
  aclass5 in '..\common\aclass5.pas',
  dtmSysInfo in 'dtmSysInfo.pas' {SystemInfoForm},
  dtmNavFrm in 'dtmNavFrm.pas' {NavForm},
  dtmHtfFrm in 'dtmHtfFrm.pas' {dtmHtfForm},
  dtmcommasplit in 'dtmcommasplit.pas',
  dtmgridimportfn in 'dtmgridimportfn.pas',
  dtmgrdfuncs in 'dtmgrdfuncs.pas',
  dtmSdtsReader in 'dtmSdtsReader.pas',
  dtmHtfDem24kFrm in 'dtmHtfDem24kFrm.pas' {dtmHtfDem24kForm},
  dtmHtfDTEDFrm in 'dtmHtfDTEDFrm.pas' {dtmHtfDTEDForm},
  dtmHTFDEMListMakerFrm in 'dtmHTFDEMListMakerFrm.pas' {dtmHTFDEMListMakerForm},
  dtmErrMsg in 'dtmErrMsg.pas',
  dtmPOFrm in 'dtmPOFrm.pas' {dtmPOFForm},
  dtmGlobals in 'dtmGlobals.pas',
  dtmPOFvar in 'dtmPOFvar.pas',
  dtmIMFrm in 'dtmIMFrm.pas' {ImageMakerForm},
  dtmDTPFrm in 'dtmDTPFrm.pas' {dtmDTPForm},
  dtmDtpPlatoReader in 'dtmDtpPlatoReader.pas',
  dtmDtpLayerReader in 'dtmDtpLayerReader.pas',
  dtmDtpdtmreader in 'dtmDtpdtmreader.pas',
  AllShapeLoaderFrm in '..\common\AllShapeLoaderFrm.pas' {ShapeLoaderForm},
  dtmProgressFrm in 'dtmProgressFrm.pas' {dtmProgressForm},
  dtmDbFrm in 'dtmDbFrm.pas' {dtmDbForm},
  AllDbAboutFrm in '..\common\AllDbAboutFrm.pas' {allDbAboutForm},
  dtmLOSProfile in 'dtmLOSProfile.pas' {LineProfileForm},
  dtmRIFImageViewerFrm in 'dtmRIFImageViewerFrm.pas' {RIFImageViewerForm},
  dtmRasterImageFile in 'dtmRasterImageFile.pas',
  dtmEcotypeColorsFrm in 'dtmEcotypeColorsFrm.pas' {dtmEcotypeColorsForm},
  dtmEcoReader in 'dtmEcoReader.pas',
  dtmEcoDbReportFrm in 'dtmEcoDbReportFrm.pas' {dtmEcoDbReportForm},
  dtmEcoDbCSReportFrm in 'dtmEcoDbCSReportFrm.pas' {dtmEcoDbCSReportForm},
  dtmEcoDbFrm in 'dtmEcoDbFrm.pas' {dtmEcoDbForm},
  dtmEcoDbCSFrm in 'dtmEcoDbCSFrm.pas' {dtmEcoDbCSForm},
  dtmHdsFrm in 'dtmHdsFrm.pas' {dtmGlHdsForm},
  GLModelManager in 'GLModelManager.pas',
  dtmHdsSunUnit in 'dtmHdsSunUnit.pas',
  dtmHdsSunConfigFrm in 'dtmHdsSunConfigFrm.pas' {dtmGlHdsSunConfigForm},
  dtmGlHeight in 'dtmGlHeight.pas' {dtmGlHeightForm},
  DtmGlfrm in 'DtmGlfrm.pas' {dtmGlForm},
  dtmSmdQcFrm in 'dtmSmdQcFrm.pas' {dtmSmdQcForm},
  dtmSmdLoadMdlFrm in 'dtmSmdLoadMdlFrm.pas' {dtmSmdLoadMdlForm},
  dtmSmdQcUSMDStuff in 'dtmSmdQcUSMDStuff.pas',
  dtmPanVizFrm in 'dtmPanVizFrm.pas' {dtmPanVizForm},
  dtmImageDotRGB in 'dtmImageDotRGB.pas' {DtmImageDotRGBForm},
  dtmImageRGB in 'dtmImageRGB.pas' {DtmImageRGBForm},
  t3de in 't3de.pas' {t3dForm},
  Texture_3D_Unit in 'Texture_3D_Unit.pas',
  t3de1 in 't3de1.pas' {t3de1Form},
  vrrRemConMessages in '..\common\vrrRemConMessages.pas',
  zadCpuUsage in '..\common\zadCpuUsage.pas',
  dtmPathGizmoFrm in 'dtmPathGizmoFrm.pas' {GizmoPathForm},
  dtmPathGizmo in 'dtmPathGizmo.pas',
  ZipFrm in 'ZipFrm.pas' {ZipForm},
  dtmGLSViewerFrm in 'dtmGLSViewerFrm.pas' {dtmGLSViewerForm},
  dtmGLSViewerAboutFrm in 'dtmGLSViewerAboutFrm.pas' {dtmGLSViewerAboutForm},
  ULightMapTools in 'ULightMapTools.pas',
  UFInfo in 'UFInfo.pas' {FInfo},
  UFrmLightmapFaceGroups in 'UFrmLightmapFaceGroups.pas' {FrmLightmapFaceGroups},
  UFrmLMMWizard in 'UFrmLMMWizard.pas' {frmLMMWizard},
  dtmGLSTreeFrm in 'dtmGLSTreeFrm.pas' {dtmGLSTreeForm},
  dtmGLSTrealFrm in 'dtmGLSTrealFrm.pas' {dtmGlsTrealForm},
  dtmGlsTrealAboutFrm in 'dtmGlsTrealAboutFrm.pas' {dtmGlsTrealAboutForm},
  dtmGlsTrealProgressFormUnit in 'dtmGlsTrealProgressFormUnit.pas' {dtmGlsTrealProgressForm},
  dtmGlsTrealViewBitmapFrm in 'dtmGlsTrealViewBitmapFrm.pas' {dtmGlsTrealViewBitmapForm},
  dtmGlsTrealViewerFrm in 'dtmGlsTrealViewerFrm.pas' {dtmGlsTrealViewerForm},
  TreeVector in 'TreeVector.pas',
  TreeTransformationList in 'TreeTransformationList.pas',
  TreeCode in 'TreeCode.pas',
  TreeConstants in 'TreeConstants.pas',
  TreeFrame in 'TreeFrame.pas',
  TreeMatrix in 'TreeMatrix.pas',
  TreeModelParameters in 'TreeModelParameters.pas',
  TreeONB in 'TreeONB.pas',
  GlsMathRandom in 'GlsMathRandom.pas',
  GlsLSystemFrm in 'GlsLSystemFrm.pas' {LSystemForm},
  GlsLsysTurtlep in 'GlsLsysTurtlep.pas',
  GlsMathAttractors in 'GlsMathAttractors.pas',
  GlsMathingsFrm in 'GlsMathingsFrm.pas' {MathingsForm},
  GlsMathPopulation in 'GlsMathPopulation.pas',
  GlsFractalFrm in 'GlsFractalFrm.pas' {FractalForm},
  dtmDvUnit in 'dtmDvUnit.pas',
  dtmDvFrm in 'dtmDvFrm.pas' {DVForm};

{$R *.RES}
{$R ZipMsgUS.res}

begin
  Application.Initialize;
  Application.Title := 'Digital Terrain Mapping';
  Application.HelpFile := 'Dtm.hlp';
  Application.CreateForm(TDTMform, DTMform);
  Application.CreateForm(TdtmGlHeightForm, dtmGlHeightForm);
  Application.CreateForm(TNavForm, NavForm);
  Application.CreateForm(TdtmHtfForm, dtmHtfForm);
  Application.CreateForm(TdtmPOFForm, dtmPOFForm);
  Application.CreateForm(TdtmDbForm, dtmDbForm);
  Application.CreateForm(TdtmGlForm, dtmGlForm);
  Application.CreateForm(TSystemInfoForm, SystemInfoForm);
  Application.CreateForm(TdtmSmdQcForm, dtmSmdQcForm);
  Application.CreateForm(TdtmSmdLoadMdlForm, dtmSmdLoadMdlForm);
  Application.CreateForm(TDtmImageRGBForm, DtmImageRGBForm);
  Application.CreateForm(TdtmPanVizForm, dtmPanVizForm);
  Application.CreateForm(TLineProfileForm, LineProfileForm);
  Application.CreateForm(TRIFImageViewerForm, RIFImageViewerForm);
  Application.CreateForm(TdtmEcotypeColorsForm, dtmEcotypeColorsForm);
  Application.CreateForm(TdtmProgressForm, dtmProgressForm);
  Application.CreateForm(TdtmEcoDbCSReportForm, dtmEcoDbCSReportForm);
  Application.CreateForm(TdtmEcoDbForm, dtmEcoDbForm);
  Application.CreateForm(TdtmEcoDbCSForm, dtmEcoDbCSForm);
  Application.CreateForm(TdtmEcoDbReportForm, dtmEcoDbReportForm);
  Application.CreateForm(TShapeLoaderForm, ShapeLoaderForm);
  Application.CreateForm(TdtmGLSViewerForm, dtmGLSViewerForm);
  Application.CreateForm(TFInfo, FInfo);
  Application.CreateForm(TFrmLightmapFaceGroups, FrmLightmapFaceGroups);
  Application.CreateForm(TfrmLMMWizard, frmLMMWizard);
  Application.CreateForm(TdtmGlHdsForm, dtmGlHdsForm);
  Application.CreateForm(TdtmGlHdsSunConfigForm, dtmGlHdsSunConfigForm);
  Application.CreateForm(TZipForm, ZipForm);
  Application.CreateForm(TdtmGLSTreeForm, dtmGLSTreeForm);
  Application.CreateForm(TdtmGlsTrealForm, dtmGlsTrealForm);
  Application.CreateForm(TdtmGlsTrealProgressForm, dtmGlsTrealProgressForm);
  Application.CreateForm(TFractalForm, FractalForm);
  Application.CreateForm(TDVForm, DVForm);
  Application.CreateForm(TAboutDTM, AboutDTM);
  Application.Run;
end.
